#!/bin/sh
#
# runs one cycle
#

if [ $# -ne 1 ] ; then
	echo "usage: runtick.sh <database>"
	exit 1
fi

database="$1"

echo "database '$database'"
echo "started backend cycle at `date +%F\ %H:%M:%S`"

./bin/clock $database
./bin/weather $database
./bin/environment $database
#./bin/market $database
./bin/growth $database
#./bin/orderexec $database

echo "finished backend cycle at `date +%F\ %H:%M:%S`"
